> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primeintellect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Capabilities



## OpenAPI

````yaml https://api.primeintellect.ai/openapi.json get /api/v1/agent-analytics/capabilities
openapi: 3.1.0
info:
  title: PI API
  version: 0.1.0
servers:
  - url: https://api.primeintellect.ai
security: []
paths:
  /api/v1/agent-analytics/capabilities:
    get:
      tags:
        - agent_analytics
      summary: Capabilities
      operationId: capabilities_api_v1_agent_analytics_capabilities_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentAnalyticsCapabilities'
        '401':
          description: Authorization failed
        '422':
          description: Invalid request data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    AgentAnalyticsCapabilities:
      properties:
        schema_versions:
          items:
            type: integer
          type: array
          title: Schema Versions
          default:
            - 1
            - 2
        schema_revision:
          type: integer
          title: Schema Revision
          default: 4
        max_batch_events:
          type: integer
          title: Max Batch Events
          default: 20
        max_batch_bytes:
          type: integer
          title: Max Batch Bytes
        per_event_acknowledgements:
          type: boolean
          title: Per Event Acknowledgements
          default: true
        original_error_messages:
          type: boolean
          title: Original Error Messages
          default: true
        error_message_policy_revision:
          type: integer
          title: Error Message Policy Revision
          default: 1
        native_error_tracking:
          type: boolean
          title: Native Error Tracking
          default: true
        posthog_exception_events:
          type: boolean
          title: Posthog Exception Events
          default: true
      type: object
      required:
        - max_batch_bytes
      title: AgentAnalyticsCapabilities
    ErrorResponse:
      properties:
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Errors
      type: object
      required:
        - errors
      title: ErrorResponse
    ErrorDetail:
      properties:
        param:
          type: string
          title: Param
        details:
          type: string
          title: Details
      type: object
      required:
        - param
        - details
      title: ErrorDetail

````